Subject: Grow Seed Indoor in a Peat Moss Cake or in the Soil?

From: [email-masked] (Elmer Eng)
Date: Sat, 25 Mar 1995 22:02:04 GMT

In the past, I planted seeds in pots with soil inside, several weeks prior
to my transplant them outside to my garden.  

Recently, I saw in the garden stores tiny small peat mIt appears cheap.
Do they work?

---

From: [email-masked] (Christine Owens)
Date: 26 Mar 1995 13:01:59 GMT

>Recently, I saw in the garden stores tiny small peat mIt appears cheap.

Yes, very well.  Just remember to soak them well BEFORE you plant.

Chris Owens